# eric3.QScintilla.LexerJavaScript

Module implementing a JavaScript lexer with some additional methods.

### Classes

LexerJavaScript | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerJavaScript

Subclass to implement some additional lexer dependant methods.

### Derived from

QextScintillaLexerJavaScript, Lexer

### Methods

LexerJavaScript | Constructor

### LexerJavaScript (Constructor)

LexerJavaScript(parent=None, name=None)

Constructor

parent
  parent widget of this lexer
name
  name of this lexer

Up